import { ElementRef, Renderer2, AfterViewChecked } from '@angular/core';
import { DoorgetsTruncateService } from './ng-truncate.service';
import { IDoorgetsTruncateOptions } from './ng-truncate.interface';
export declare class DoorgetsTruncateDirective implements AfterViewChecked {
    private _render;
    private _element;
    private _service;
    currentSentence: string;
    lastOptions: IDoorgetsTruncateOptions;
    currentOptions: IDoorgetsTruncateOptions;
    set dgTruncate(sentence: string);
    set dgTruncateOptions(options: IDoorgetsTruncateOptions);
    constructor(_render: Renderer2, _element: ElementRef, _service: DoorgetsTruncateService);
    ngAfterViewChecked(): void;
    doTruncate(): void;
    private checkNode;
    private getContent;
    private transform;
    private setNodeKey;
    private setNodeContent;
    private updateContent;
    private alreadyTransformed;
}
